### ClipPlane

Category

Rendering

Function

Prepares an object for clipping by a plane.

Syntax

    clipped = ClipPlane(object, point, normal);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`object` | object | none | object to be clipped
`point` | vector | center of object | a point on the clipping plane
`normal` | vector | [0 0 1] | perpendicular to the clipping plane

Outputs

Name | Type | Description
--- | --- | ---
`clipped` | object | object marked for clipping

Functional Details

This module constructs an object so that it can be clipped by an infinite plane. Data Explorer renders only the portion of the object that lies on the side opposite that pointed to by `normal` (see below).

`object` | is the object to be clipped.
`point` , | specifies a point in the clipping plane. This specification, together with `normal`, defines the clipping plane. The default is the center of the object to be clipped.
`normal` | specifies a normal to the clipping plane. This normal projects to the side of the plane that is to be clipped. All parts of the specified object that lie on the opposite side are retained.

Notes:

1. The specified object must be of a kind for which a bounding box can be constructed. Otherwise an error results. In general, bounding boxes can be constructed for all geometric objects, but not for, say, captions.

2. All translucent objects in the scene should be clipped by the same object. In addition, objects can be clipped by only one clipping plane or one clipping box.

3. The effect of ClipPlane occurs during rendering, and its use does not affect the behavior of modules upstream from the renderer. For example, ShowBox will draw a box around the unclipped object.

Components

All input components are propagated to the output.

Example Visual Program

    UsingClipPlane.net

See Also

ClipBox

[ OpenDX Home at IBM | OpenDX.org ]